# Markdown Parser

This module is a markdown parser for Node.js and the Browser (components). It's designed to have a sane API, no globals, no crap. Right now it simply returns an AST, and it's still very early.

The next step is to parse the AST to something usable without the end user knowing about it. Converting it to HTML, or "secret" html.


**Secret HTML:**

By secret, I mean, converting it to HTML, but without semantic tags. For instance, the following markdown:

```markdown
**Hello World**
```

Would convert to:

```html
<span class="md-star">**</span><span class="md-strong">Hello World</span><span class="md-star"></span>
```

As you can see, this would be extremely useful for code highlighting in real-time. So you'll be able to use this module as a markdown highlighter, too.


## Installation:

NPM:

```bash
npm install ...
```

Component

```bash
component install TheHydroImpulse/markdown
```

## Usage

## API

## License

MIT

